com.samsung.multiscreen

## Class Clients

- java.lang.Object
- - com.samsung.multiscreen.Clients

-     public class Clients
      extends Object

  Provides convenience methods for working with a set of `Client`s subscribed to the specified channel.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Client` | `get(String clientId)` Returns the client with the specified client id.
    `Channel` | `getChannel()` The channel associated with the clients.
    `Client` | `getHost()` Returns the host for the channel associated with these clients.
    `boolean` | `isMe(Client client)` Checks if the specified client is your client.
    `List<Client>` | `list()` Returns a list of the connected clients.
    `Client` | `me()` Returns your connected client for the associated channel.
    `int` | `size()` Returns the number of clients connected to the associated channel.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### get

          public Client get(String clientId)

      Returns the client with the specified client id.
      Parameters:
        `clientId` - the id for the client
      Returns:
        the client for the specified id. null, if not found.

    - #### getHost

          public Client getHost()

      Returns the host for the channel associated with these clients.
      Returns:
        the host for the channel. null, if not found.

    - #### me

          public Client me()

      Returns your connected client for the associated channel.
      Returns:
        your connected client

    - #### isMe

          public boolean isMe(Client client)

      Checks if the specified client is your client.
      Parameters:
        `client` - the client to compare
      Returns:
        true, if the specified client is your client. false, otherwise.

    - #### size

          public int size()

      Returns the number of clients connected to the associated channel.
      Returns:
        the number of connected clients

    - #### list

          public List<Client> list()

      Returns a list of the connected clients.
      Returns:
        a list of connected clients

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getChannel

          public Channel getChannel()

      The channel associated with the clients.